# $Revision: 1.29 $, $Date: 2002/08/22 02:10:20 $
Summary:	GNU shar utils - shar, unshar, uuencode, uudecode
Summary(de):	GNU-shar-Dienstprogramme - shar, unshar, uuencode, uudecode
Summary(es):	Utilitarios shar de la GNU - shar, unshar, uuencode, uudecode
Summary(fr):	Utilitaires shar de GNU - shar, unshar, uuencode, uudecode
Summary(pl):	Narzdzia z GNU shar - shar, unshar, uuencode, uudecode
Summary(pt_BR):	Utilitrios shar da GNU - shar, unshar, uuencode, uudecode
Summary(ru):	 GNU shar     shell-
Summary(tr):	Arivleme ve kabuk aralar
Summary(uk):	̦ GNU shar     shell-Ȧצ
Name:		sharutils
Version:	4.2.1
Release:	11
License:	GPL
Group:		Applications
Source0:	ftp://ftp.gnu.org/pub/gnu/sharutils/%{name}-%{version}.tar.gz
Source1:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}.patch
Patch1:		%{name}-pl.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-autoconf_fix.patch
Patch4:		%{name}-spaces.patch
Patch5:		%{name}-sh.patch
Patch6:		%{name}-tmpfix.patch
Patch7:		%{name}-autoconf.patch
Patch8:		%{name}-ja.patch
Patch9:		%{name}-uudecode.patch
#BuildRequires:	autoconf
#BuildRequires:	automake
#BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar). This
format can be sent through email (which can be problematic for regular
binary files). The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files. After the files have been sent, the unshar tool
scans mail messages looking for shar files. Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

%description -l de
Sie knnen die shar-Dienstprogramme zum Verschlsseln und Packen einer
Reihe von Dateien (binr oder Text) in ein einfaches Textformat
verwenden Dieses Format kann sicher per E-Mail oder andere Verfahren
gesendet werden, bei denen das Senden von Binrdateien schwierig ist.

%description -l es
Los utilitarios shar pueden ser usados para codificar y empaquetar
varios archivos, binarios y/o texto, en un formato especial de texto
plano. Este formato puede ser seguramente mandado a travs de mail o
otros medios donde mandar archivos binarios sea difcil.

%description -l fr
Les utilitaires shar servent  encoder et empaqueter un certain nombre
de fichiers, binaires et/ou texte, sous un format texte spcial. Ce
format peut tre envoy sans problme par courrier ou par d'autres
moyens o l'envoi de fichiers binaires est difficile.

%description -l pl
Narzdzia shar su do przeksztacania i dystrybucji wielu plikw
binarnych i/lub tekstowych w jednym, tekstowym archiwum. Archiwum
mona nastpnie wysya poczt elektroniczn albo innymi metodami,
ktre uniemoliwiaj lub znacznie utrudniaj transmisj plikw
binarnych.

%description -l pt_BR
Os utilitrios shar podem ser usados para codificar e empacotar vrios
arquivos, binrios e/ou texto, em um formato especial de texto plano.
Este formato pode ser seguramente mandado atravs de mail ou outros
meios onde mandar arquivos binrios  difcil.

%description -l ru
 shar       
 ,  / ,    
 .      e-mail'  
,     .

%description -l tr
shar aralar, derlemi ya da metin biimindeki dosyalar dz metin
biiminde kodlamak iin kullanlabilir. Bu biimdeki dosya, posta ile
ya da derlenmi dosyalarn gnderilmesinin sorun kard dier
programlar zerinden gvenli bir ekilde gnderilebilir.

%description -l uk
̦ shar   Φ     ˦
̦, צ / ,  æ  
 .       
 ,    צ ̦  Цդ.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1

chmod -R u+w *

%build
mv po/ja_JP.EUC.po po/ja.po
mv po/ja_JP.EUC.gmo po/ja.gmo
#gettextize --copy --force
#aclocal
#autoconf
%configure2_13

%{__make} all localedir=%{_datadir}/locale

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	localedir=$RPM_BUILD_ROOT%{_datadir}/locale

install -d $RPM_BUILD_ROOT%{_mandir}/{pl/man5,ja/man{1,5}}
install man/ja/man1/* $RPM_BUILD_ROOT%{_mandir}/ja/man1
install man/ja/man5/* $RPM_BUILD_ROOT%{_mandir}/ja/man5
install man/pl/man5/* $RPM_BUILD_ROOT%{_mandir}/pl/man5

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_infodir}/*info*
%{_mandir}/man[15]/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sharutils.spec,v $
Revision 1.29  2002/08/22 02:10:20  kloczek
- merge tramslations from KSI and adapterize spec file.

Revision 1.28  2002/06/10 09:21:07  blues
- release 11
- uudecode security fix added stollen from RH
- new doc, more docs
- translations from CNV
STBR (Security)

Revision 1.27  2002/05/19 22:20:47  ankry
- moved message file from ja_JP.EUC/ to ja/
- release 10

Revision 1.26  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/10/15 21:52:04  qboosh
- auto* BRs commented out - proper fix probably should contain full am support
- added ja man pages and pl uuencode(5)
- release 9

Revision 1.23  2001/10/15 11:52:00  blues
- configure2_13 used

Revision 1.22  2001/10/11 09:11:38  qboosh
- BuildRequires: automake

Revision 1.21  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.19  2000/10/25 03:45:22  kloczek
- updated to 4.2.1 (release 8),
- added autoconf patch with fixes for using autoconf in right way (tm),
- use new rpm automation.

Revision 1.18  2000/07/17 01:12:16  kloczek
- release 17.

Revision 1.17  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/22 12:49:57  kloczek
- spec adapterized.

Revision 1.14  2000/05/22 12:10:59  zagrodzki
- release ++

Revision 1.13  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %%pre/post is executed only when info is already
  installed

Revision 1.12  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.10  1999/11/08 16:24:38  kura
- fixed pl translation

Revision 1.9  1999/09/19 10:21:43  pius
Prereq: /sbin/install-info -> /usr/sbin/fix-info-dir

Revision 1.8  1999/09/13 01:04:56  kloczek
- release 15,
- changes in %%description's,
- implifications in %%build,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" format of info index
  entries.

Revision 1.7  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %%changelog (for automating them).

* Thu May 20 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.4-14]
- FHS 2.0,
- added support for pl,
- added some macros,
- build prepare for Ra.

* Tue Sep  1 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- build against glibc-2.1,
- translations modified for pl,
- changed files permission.
- start at RH spec file.
